var findPasswordService = (function () {
    // true이면 비밀번호 찾기 진행중, false이면 비밀번호 찾기 진행중이 아님
    var isProcessingFindPassword = false;
    return {
        findPasswordApiRequest: function (option, userLoginId, email) {
            if (isProcessingFindPassword) {
                return ;
            }
            if (_.isEmpty(userLoginId)) {
                alert("아이디를 입력해주세요.");
                return;
            }
            if (_.isEmpty(email)) {
                alert("이메일을 입력해주세요.");
                return;
            }
            if (!userService.checkEmail(email)) {
                return;
            }

            isProcessingFindPassword = true;
            $.ajax({
                url : "/clfd/find/password.json",
                type : "GET",
                data : {
                    userLoginId: userLoginId,
                    email: email
                },
                dataType : "json",
                success : function(res) {
                    isProcessingFindPassword = false;
                    if (res.result == "success") {
                        option.scb(res.message);
                    } else {
                        option.ecb(res.message);
                    }
                },error : function(request,status,error) {
                    isProcessingFindPassword = false;
                    option.ecb();
                    console.error("code:"+request.status+"\nerror:"+error);
                }
            });
        },
        ajaxSmsFindPw: function (_smsAuthKey, _phone, _loginId, scb, ecb) {
            if (_.isEmpty(_loginId)) {
                alert("아이디를 입력해주세요.");
                return;
            }
            if (_.isEmpty(_phone)) {
                alert("휴대폰 번호를 입력해주세요.");
                return;
            }
            if (_.isEmpty(_smsAuthKey)) {
                alert("인증번호를 입력해주세요.");
                return;
            }
            $.ajax({
                url: "/clfd/sms/find/pw.json",
                type : "POST",
                data : {smsAuthKey: _smsAuthKey, phone: _phone, loginId: _loginId},
                dataType: 'json',
                success: function(res) {
                    if (res.result === "success") {
                        scb(res);
                        alert(res.message);
                    } else {
                        ecb();
                        alert(res.message);
                    }
                }
            })
        }
    }
}());
